<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<restExportContainer>
    <applications>
        <application>
            <id>QDrRqr</id>
            <name>integration</name>
            <projectId>U7xy3H</projectId>
            <resources/>
        </application>
    </applications>
    <methods>
        <method>
            <currentResponseSequenceIndex>0</currentResponseSequenceIndex>
            <httpMethod>POST</httpMethod>
            <id>ymQGMz</id>
            <mockResponses/>
            <name>reply</name>
            <networkDelay>0</networkDelay>
            <resourceId>uItH52</resourceId>
            <responseStrategy>RANDOM</responseStrategy>
            <simulateNetworkDelay>false</simulateNetworkDelay>
            <status>MOCKED</status>
        </method>
        <method>
            <currentResponseSequenceIndex>0</currentResponseSequenceIndex>
            <defaultMockResponseId>-- select an option --</defaultMockResponseId>
            <httpMethod>POST</httpMethod>
            <id>IPoFWx</id>
            <mockResponses/>
            <name>presentment</name>
            <networkDelay>0</networkDelay>
            <resourceId>wpBVyL</resourceId>
            <responseStrategy>RANDOM</responseStrategy>
            <simulateNetworkDelay>false</simulateNetworkDelay>
            <status>MOCKED</status>
        </method>
        <method>
            <currentResponseSequenceIndex>0</currentResponseSequenceIndex>
            <httpMethod>POST</httpMethod>
            <id>UjwSZJ</id>
            <mockResponses/>
            <name>final-posting</name>
            <networkDelay>0</networkDelay>
            <resourceId>RLSXss</resourceId>
            <responseStrategy>RANDOM</responseStrategy>
            <simulateNetworkDelay>false</simulateNetworkDelay>
            <status>MOCKED</status>
        </method>
        <method>
            <currentResponseSequenceIndex>0</currentResponseSequenceIndex>
            <httpMethod>POST</httpMethod>
            <id>JyC0YO</id>
            <mockResponses/>
            <name>customer-information</name>
            <networkDelay>0</networkDelay>
            <resourceId>A29EYD</resourceId>
            <responseStrategy>RANDOM</responseStrategy>
            <simulateNetworkDelay>false</simulateNetworkDelay>
            <status>MOCKED</status>
        </method>
        <method>
            <currentResponseSequenceIndex>0</currentResponseSequenceIndex>
            <httpMethod>POST</httpMethod>
            <id>tU407V</id>
            <mockResponses/>
            <name>initial-posting</name>
            <networkDelay>0</networkDelay>
            <resourceId>8uehwg</resourceId>
            <responseStrategy>RANDOM</responseStrategy>
            <simulateNetworkDelay>false</simulateNetworkDelay>
            <status>MOCKED</status>
        </method>
    </methods>
    <mockResponses>
        <mockResponse>
            <body>{
                "source":"${BODY_JSON_PATH(expression="$.source")}",
                "messageInfo":"${BODY_JSON_PATH(expression="$.messageInfo")}",
                "checkId":"${BODY_JSON_PATH(expression="$.checkId")}",
                "transactionSequence":"${BODY_JSON_PATH(expression="$.transactionSequence")}",
                "chequeSequence":"${BODY_JSON_PATH(expression="$.chequeSequence")}",
                "error":{
                "code":"00",
                "description":""
                }
                }</body>
            <contentEncodings/>
            <headerQueries/>
            <httpHeaders/>
            <httpStatusCode>200</httpStatusCode>
            <id>qZHRje</id>
            <jsonPathExpressions/>
            <methodId>ymQGMz</methodId>
            <name>Success</name>
            <parameterQueries/>
            <status>ENABLED</status>
            <usingExpressions>false</usingExpressions>
            <xpathExpressions/>
        </mockResponse>
        <mockResponse>
            <body>{
                "source":"${BODY_JSON_PATH(expression="$.source")}",
                "messageInfo":"${BODY_JSON_PATH(expression="$.messageInfo")}",
                "checkId":"${BODY_JSON_PATH(expression="$.checkId")}",
                "transactionSequence":"${BODY_JSON_PATH(expression="$.transactionSequence")}",
                "chequeSequence":"${BODY_JSON_PATH(expression="$.chequeSequence")}",
                "error":{
                "code":"00",
                "description":""
                }
                }</body>
            <contentEncodings/>
            <headerQueries/>
            <httpHeaders/>
            <httpStatusCode>200</httpStatusCode>
            <id>Zt70og</id>
            <jsonPathExpressions>
                <jsonPathExpression>
                    <expression>$[?($.source == 'ECC')]</expression>
                </jsonPathExpression>
            </jsonPathExpressions>
            <methodId>IPoFWx</methodId>
            <name>Successful Presentment</name>
            <parameterQueries/>
            <status>ENABLED</status>
            <usingExpressions>true</usingExpressions>
            <xpathExpressions/>
        </mockResponse>
        <mockResponse>
            <body>{
                "source":"${BODY_JSON_PATH(expression="$.source")}",
                "messageInfo":"${BODY_JSON_PATH(expression="$.messageInfo")}",
                "checkId":"${BODY_JSON_PATH(expression="$.checkId")}",
                "transactionSequence":"${BODY_JSON_PATH(expression="$.transactionSequence")}",
                "chequeSequence":"${BODY_JSON_PATH(expression="$.chequeSequence")}",
                "error":{
                "code":"00",
                "description":""
                }
                }</body>
            <contentEncodings/>
            <headerQueries/>
            <httpHeaders/>
            <httpStatusCode>200</httpStatusCode>
            <id>Ukarsa</id>
            <jsonPathExpressions/>
            <methodId>UjwSZJ</methodId>
            <name>Success</name>
            <parameterQueries/>
            <status>ENABLED</status>
            <usingExpressions>false</usingExpressions>
            <xpathExpressions/>
        </mockResponse>
        <mockResponse>
            <body>{
                "source":"ECC",
                "messageInfo":{
                "messageType":"CustomerInformation"
                },
                "checkId":"${BODY_JSON_PATH(expression="$.checkId")}",
                "transactionSequence":1,
                "direction":"OUTWARD",
                "accountNumber":"${BODY_JSON_PATH(expression="$.accountNumber")}",
                "userLoginName":"Hamzeh",
                "userLanguage":"en",
                "proceedFlag":"ACTIVE",
                "dynamicFields":[
                {
                "label":"Customer Name",
                "type":"text",
                "value":"Hamzeh Rommaneh",
                "color":"#00FF00"
                },
                {
                "label":"Balance",
                "type":"text",
                "value":"${RANDOM_DOUBLE(min=1.0,max=990000.0)}",
                "color":"#000000"
                },
                {
                "label":"Status",
                "type":"text",
                "value":"${RANDOM_ENUM(values=["Blocked","Active","Locked","Active"])}",
                "color":"#FF0000"
                }
                ],
                "error":{
                "code":"00",
                "description":""
                }
                }</body>
            <contentEncodings/>
            <headerQueries/>
            <httpHeaders/>
            <httpStatusCode>200</httpStatusCode>
            <id>lmN92e</id>
            <jsonPathExpressions/>
            <methodId>JyC0YO</methodId>
            <name>success</name>
            <parameterQueries/>
            <status>ENABLED</status>
            <usingExpressions>true</usingExpressions>
            <xpathExpressions/>
        </mockResponse>
        <mockResponse>
            <body>{
                "source":"${BODY_JSON_PATH(expression="$.source")}",
                "messageInfo":"${BODY_JSON_PATH(expression="$.messageInfo")}",
                "checkId":"${BODY_JSON_PATH(expression="$.checkId")}",
                "transactionSequence":"${BODY_JSON_PATH(expression="$.transactionSequence")}",
                "chequeSequence":"${BODY_JSON_PATH(expression="$.chequeSequence")}",
                "actionCode":"1",
                "mainReasonCode":"0",
                "error":{
                "code":"00",
                "description":""
                }
                }</body>
            <contentEncodings/>
            <headerQueries/>
            <httpHeaders/>
            <httpStatusCode>200</httpStatusCode>
            <id>qUSmSK</id>
            <jsonPathExpressions/>
            <methodId>tU407V</methodId>
            <name>Success</name>
            <parameterQueries/>
            <status>ENABLED</status>
            <usingExpressions>false</usingExpressions>
            <xpathExpressions/>
        </mockResponse>
    </mockResponses>
    <project>
        <created>2023-03-27T09:03:38.921Z</created>
        <description></description>
        <id>U7xy3H</id>
        <name>prompt-check-integration</name>
        <updated>2023-03-27T09:03:38.921Z</updated>
        <applications/>
    </project>
    <resources>
        <resource>
            <applicationId>QDrRqr</applicationId>
            <id>uItH52</id>
            <methods/>
            <name>reply</name>
            <uri>/reply</uri>
        </resource>
        <resource>
            <applicationId>QDrRqr</applicationId>
            <id>wpBVyL</id>
            <methods/>
            <name>presentment</name>
            <uri>/presentment</uri>
        </resource>
        <resource>
            <applicationId>QDrRqr</applicationId>
            <id>RLSXss</id>
            <methods/>
            <name>final-posting</name>
            <uri>/final-posting</uri>
        </resource>
        <resource>
            <applicationId>QDrRqr</applicationId>
            <id>A29EYD</id>
            <methods/>
            <name>customer-information</name>
            <uri>/customer-information</uri>
        </resource>
        <resource>
            <applicationId>QDrRqr</applicationId>
            <id>8uehwg</id>
            <methods/>
            <name>initial-posting</name>
            <uri>/initial-posting</uri>
        </resource>
    </resources>
</restExportContainer>
